Bug 845932 - Guide Me: It is possible to choose NON_VM network for NIC on VM
Guide Me: It is possible to choose NON_VM network for NIC on VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Alona Kaplan
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 03:28 EDT by GenadiC
Modified: 2016-02-10 14:56 EST (History)
7 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attachment with NON VM Network on VM (214.56 KB, image/png)
2012-08-06 03:28 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-08-06 03:28:34 EDT
Created attachment 602451 [details]
attachment with NON VM Network on VM

Description of problem:
Guide Me: Creating new VM and adding it new NIC allows you to choose NON_VM Network for that NIC

How reproducible:
Always

Steps to Reproduce:
1. Configure Non VM Network on the Cluster and attach it to host
2. Create the new VM
3. With the Guide Me tool Configure Network Interfaces and choose Network
3.
  
Actual results:
The opened list will display the Non VM Network as well and you can choose for VM

Expected results:
The opened list should contain only VM Networks

Additional info:
Creating new NIC on already created VM will allow you to choose only VM Networks (the correct behaviour)
Comment 1 Alona Kaplan 2012-08-06 05:49:06 EDT
same problem for tepmlate-> add/edit vnic

both problems fiixed in commit 30e48e8977ffce343a344bdcb5a8f1765f2f5b29
Comment 2 GenadiC 2012-08-16 05:05:28 EDT
Verified in SI14

Note You need to log in before you can comment on or make changes to this bug.